import { DEATH_TYPE_CONTACT, DEATH_TYPE_BLOCK_EXPLOSION, DEATH_TYPE_ENTITY_ATTACK,
  DEATH_TYPE_ENTITY_SWEEP_ATTACK, DEATH_TYPE_PROJECTILE, DEATH_TYPE_FALL, DEATH_TYPE_FIRE,
  DEATH_TYPE_FIRE_TICK, DEATH_TYPE_SUFFOCATION, DEATH_TYPE_MELTING, DEATH_TYPE_LAVA, DEATH_TYPE_DROWNING,
  DEATH_TYPE_ENTITY_EXPLOSION, DEATH_TYPE_VOID, DEATH_TYPE_LIGHTNING, DEATH_TYPE_SUICIDE,
  DEATH_TYPE_STARVATION, DEATH_TYPE_POISON, DEATH_TYPE_MAGIC, DEATH_TYPE_FALLING_BLOCK,
  DEATH_TYPE_THORNS, DEATH_TYPE_DRAGON_BREATH, DEATH_TYPE_CUSTOM, DEATH_TYPE_HOT_FLOOR,
  DEATH_TYPE_FLY_INTO_WALL, DEATH_TYPE_CRAMMING, DEATH_TYPE_DRYOUT
} from './types'

export const getEntityDeathMessage = payload => {
  switch (payload.deathType) {
    case DEATH_TYPE_CONTACT:
      return 'умер от соприкосновения'
    case DEATH_TYPE_BLOCK_EXPLOSION:
      return 'взорвался 💥'
    case DEATH_TYPE_ENTITY_ATTACK:
      return 'умер от существа'
    case DEATH_TYPE_ENTITY_SWEEP_ATTACK:
      return 'умер от урона по области'
    case DEATH_TYPE_PROJECTILE:
      return 'застрелили'
    case DEATH_TYPE_SUFFOCATION:
      return 'сплющило'
    case DEATH_TYPE_FALL:
      return 'упал насмерть'
    case DEATH_TYPE_FIRE:
      return 'сгорел'
    case DEATH_TYPE_FIRE_TICK:
      return 'умер от ожогов'
    case DEATH_TYPE_MELTING:
      return 'замерз'
    case DEATH_TYPE_LAVA:
      return 'сгорел в лаве'
    case DEATH_TYPE_DROWNING:
      return 'утонул'
    case DEATH_TYPE_ENTITY_EXPLOSION:
      return 'взорван вместе с существом 💥'
    case DEATH_TYPE_VOID:
      return 'упал в бездну'
    case DEATH_TYPE_LIGHTNING:
      return 'скончался от удара молнией'
    case DEATH_TYPE_SUICIDE:
      return 'совершил самоубийство'
    case DEATH_TYPE_STARVATION:
      return 'скончался от голода'
    case DEATH_TYPE_POISON:
      return 'умер от яда'
    case DEATH_TYPE_MAGIC:
      return 'умер от магии'
    case DEATH_TYPE_FALLING_BLOCK:
      return 'погиб под упавшим блоком'
    case DEATH_TYPE_THORNS:
      return 'умер от шипов'
    case DEATH_TYPE_DRAGON_BREATH:
      return 'убит драконом'
    case DEATH_TYPE_CUSTOM:
      return ''
    case DEATH_TYPE_FLY_INTO_WALL:
      return 'убил сибя ап стену'
    case DEATH_TYPE_HOT_FLOOR:
      return 'не увидел, что пол - магма'
    case DEATH_TYPE_CRAMMING:
      return ''
    case DEATH_TYPE_DRYOUT:
      return ''
  }
}

export const getEntityName = payload => {
  switch (payload.entityName) {
    case 'Cow':
      return '🐮'
    case 'Zombie Villager':
      return 'Зомби житель'
    // case 'Skeleton Horse':
    //   return ''
    // case 'Zombie Horse':
    //   return ''
    // case 'Donkey':
    //   return ''
    // case 'Mule':
    //   return ''
    // case 'Evocation Fangs':
    //   return ''
    // case 'Creeper':
    //   return ''
    case 'Skeleton':
      return '💀'
    // case 'Spider':
    //   return ''
    // case 'Giant Zombie':
    //   return ''
    case 'Zombie':
      return '🧟‍♂️'
    case 'Slime':
      return 'Слайм'
    // case 'Ghast':
    //   return ''
    // case 'Enderman':
    //   return ''
    // case 'Cave Spider':
    //   return ''
    // case 'Silverfish':
    //   return ''
    // case 'Blaze':
    //   return ''
    // case 'Magma Cube':
    //   return ''
    // case 'Witch':
    //   return ''
    case 'Pig':
      return '🐖'
    case 'Sheep':
      return '🐑'
    case 'Chicken':
      return '🐔'
    case 'Squid':
      return '🦑'
    case 'Phantom':
      return 'Фантом'
    case 'Drowned':
      return 'Утопленник'
    default:
      return payload.entityName
  }
}

export const getKillNotificationEachKillsCount = payload => {
  switch (payload.entityName) {
    case 'Cow':
      return 50
    case 'Zombie Villager':
      return 5
    case 'Skeleton Horse':
      return 5
    case 'Zombie Horse':
      return 5
    case 'Donkey':
      return 5
    case 'Mule':
      return 5
    case 'Evocation Fangs':
      return 1
    case 'Creeper':
      return 25
    case 'Skeleton':
      return 100
    case 'Spider':
      return 25
    case 'Giant Zombie':
      return 5
    case 'Zombie':
      return 25
    case 'Husk':
      return 15
    case 'Slime':
      return 10
    case 'Ghast':
      return 5
    case 'Enderman':
      return 10
    case 'Cave Spider':
      return 10
    case 'Silverfish':
      return 5
    case 'Blaze':
      return 10
    case 'Magma Cube':
      return 10
    case 'Witch':
      return 5
    case 'Pig':
      return 25
    case 'Sheep':
      return 25
    case 'Chicken':
      return 100
    case 'Squid':
      return 15
    case 'Phantom':
      return 10
    case 'Drowned':
      return 10
    default:
      return 1
  }
}
